"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadParameters = void 0;
const path = require("path");
const fs_1 = require("../util/fs");
exports.loadParameters = async (program, directory = process.cwd()) => {
    const parameters = {
        include: program.args,
        helper: program.helper,
        css: program.css,
        ext: program.ext,
        exclude: program.exclude,
        esifycssPluginParameter: {
            mangle: !program.noMangle,
        },
        watch: program.watch,
    };
    if (program.config) {
        const configPath = path.isAbsolute(program.config) ? program.config : path.join(directory, program.config);
        const configJSON = await fs_1.readFile(configPath, 'utf8');
        Object.assign(parameters, JSON.parse(configJSON));
    }
    return parameters;
};