"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.extractCSSFromArrayExpression = void 0;
const ast_1 = require("./ast");
exports.extractCSSFromArrayExpression = (node, cssKey) => {
    const result = [];
    if (ast_1.isArrayExpression(node)) {
        for (const item of node.elements) {
            if (ast_1.isObjectExpression(item)) {
                for (const { key, value } of item.properties) {
                    if (key.name === cssKey) {
                        if (value.type === 'Literal') {
                            const css = value.value;
                            if (typeof css === 'string') {
                                result.push({ css, start: item.start, end: item.end });
                            }
                            else {
                                throw new Error(`InvalidCSSType: ${JSON.stringify(css)}`);
                            }
                        }
                        else {
                            throw new Error(`NonLiteral: ${JSON.stringify(value)}`);
                        }
                    }
                }
            }
        }
    }
    return result;
};