"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.minifyScripts = void 0;
const fs_1 = require("../util/fs");
const createOptimizedIdentifier_1 = require("./createOptimizedIdentifier");
const parseScripts_1 = require("./parseScripts");
const minifyCSSInScript_1 = require("./minifyCSSInScript");
const setDictionary_1 = require("./setDictionary");
exports.minifyScripts = async (props) => {
    const parseResult = await parseScripts_1.parseScripts(props);
    const identifier = createOptimizedIdentifier_1.createOptimizedIdentifier(parseResult.tokens);
    await Promise.all([...parseResult.scripts].map(async ([file, { script, ranges }]) => {
        const minified = minifyCSSInScript_1.minifyCSSInScript(script, ranges, identifier);
        await fs_1.writeFile(file, minified);
    }));
    const helperCode = setDictionary_1.setDictionary(await fs_1.readFile(props.dest, 'utf8'), identifier.idList);
    await fs_1.writeFile(props.dest, helperCode);
};