"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.minifyScriptsForCSS = void 0;
const fs_1 = require("../util/fs");
const parseScripts_1 = require("./parseScripts");
exports.minifyScriptsForCSS = async (props) => {
    const parseResult = await parseScripts_1.parseScripts(props);
    const cssList = await Promise.all([...parseResult.scripts].map(async ([file, data]) => {
        const cssList = [];
        let code = data.script;
        for (let index = data.ranges.length; index--;) {
            const range = data.ranges[index];
            cssList[index] = range.css;
        }
        code = data.statements
            .sort((range1, range2) => range1.start < range2.start ? 1 : -1)
            .reduce((code, range) => `${code.slice(0, range.start)}${code.slice(range.end)}`, code);
        await fs_1.writeFile(file, code);
        return cssList.join('\n');
    }));
    await fs_1.writeFile(props.dest, cssList.join('\n'));
};