"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseCSSModuleScript = void 0;
const acorn = require("acorn");
const acornWalk = require("./walker");
const extractCSSFromArrayExpression_1 = require("./extractCSSFromArrayExpression");
exports.parseCSSModuleScript = (props) => {
    const ranges = [];
    const statements = [];
    const ast = acorn.parse(props.code, {
        sourceType: 'module',
        ecmaVersion: props.ecmaVersion || 11,
    });
    acornWalk.simple(ast, {
        ExpressionStatement: (statement) => {
            const { expression } = statement;
            if (expression.callee) {
                const { length } = ranges;
                for (const argument of expression.arguments) {
                    ranges.push(...extractCSSFromArrayExpression_1.extractCSSFromArrayExpression(argument, props.cssKey));
                }
                if (length < ranges.length) {
                    statements.push({ start: statement.start, end: statement.end });
                }
            }
        },
    });
    return {
        ranges,
        statements,
    };
};