"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseScripts = void 0;
const fs_1 = require("../util/fs");
const parseCSSModuleScript_1 = require("./parseCSSModuleScript");
const tokenizeString_1 = require("../util/tokenizeString");
exports.parseScripts = async ({ files, cssKey }) => {
    const scripts = new Map();
    const tokens = new Map();
    await Promise.all(files.map(async (file) => {
        const code = await fs_1.readFile(file, 'utf8');
        const data = parseCSSModuleScript_1.parseCSSModuleScript({
            code,
            cssKey,
        });
        for (const { css } of data.ranges) {
            for (const token of tokenizeString_1.tokenizeString(css)) {
                tokens.set(token, (tokens.get(token) || 0) + 1);
            }
        }
        scripts.set(file, { ...data, script: code });
    }));
    return { scripts, tokens };
};