"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDependencies = exports.REGEX_IMPORT = void 0;
const path = require("path");
exports.REGEX_IMPORT = /^(['"])([^\s'"]+)\1\s*([^\s]*)$/;
exports.getDependencies = (root, id) => {
    const dependencies = new Map();
    const directory = path.dirname(id);
    let count = 0;
    root.walkAtRules((node) => {
        if (node.name === 'import') {
            const match = exports.REGEX_IMPORT.exec(node.params);
            if (match) {
                count++;
                const [, , target, name = `$${count}`] = match;
                dependencies.set(name, path.resolve(target, directory));
                node.remove();
            }
        }
    });
    return dependencies;
};