"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getImports = void 0;
const parseImport_1 = require("./parseImport");
exports.getImports = (root, id) => {
    const imports = new Map();
    root.walkAtRules((rule) => {
        const { name } = rule;
        if (name === 'import') {
            const parsed = parseImport_1.parseImport(rule.params, id);
            if (parsed) {
                imports.set(parsed.localName, parsed.from);
                rule.remove();
            }
        }
        Object.assign(rule.raws, { before: '', between: '', after: '' });
    });
    return imports;
};