"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPluginConfiguration = exports.getPluginMangler = void 0;
const createIdentifier_1 = require("../util/createIdentifier");
exports.getPluginMangler = ({ mangle = true, identifier = createIdentifier_1.createIdentifier(), }) => {
    if (mangle) {
        return (id, type, name) => `_${identifier(`${id}-${type}-${name}`).toString(36)}`;
    }
    else {
        return (id, type, name) => `${name}_${identifier(`${id}-${type}-${name}`).toString(36)}`;
    }
};
exports.getPluginConfiguration = (parameters = {}) => ({
    mangler: parameters.mangler || exports.getPluginMangler(parameters),
    rawPrefix: parameters.rawPrefix || 'raw-',
});