"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mangleKeyFrames = void 0;
const getMatchedImport_1 = require("./getMatchedImport");
exports.mangleKeyFrames = ({ id, root, mangler, imports, rawPrefix }) => {
    const keyframes = {};
    root.walkAtRules((rule) => {
        const { name } = rule;
        if (name === 'keyframes') {
            const { params: before } = rule;
            if (before) {
                let after = before;
                if (before.startsWith(rawPrefix)) {
                    after = before.slice(rawPrefix.length);
                }
                else {
                    const imported = getMatchedImport_1.getMatchedImport(before, imports);
                    if (imported) {
                        after = mangler(imported.from, name, imported.key);
                    }
                    else {
                        after = mangler(id, name, before);
                    }
                }
                rule.params = keyframes[before] = after;
            }
        }
    });
    return keyframes;
};