"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseImport = void 0;
const path = require("path");
const normalizePath_1 = require("../util/normalizePath");
exports.parseImport = (parameter, id) => {
    const matched = (/^(?:url\(\s*)?(['"])(.+)\1\s*\)?\s*/).exec(parameter);
    if (matched) {
        const localName = parameter.slice(matched[0].length);
        if ((/^[\w-]+$/).exec(localName)) {
            const from = matched[2];
            if (from.startsWith('.')) {
                return {
                    from: normalizePath_1.normalizePath(path.join(path.dirname(id), ...from.split(/\//))),
                    localName,
                };
            }
        }
    }
    return null;
};