"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeImportsAndRaws = void 0;
const getMatchedImport_1 = require("./getMatchedImport");
exports.removeImportsAndRaws = ({ result: maps, imports, rawPrefix }) => {
    const isLocalTransformedIdentifier = (key) => {
        return !key.startsWith(rawPrefix) && !getMatchedImport_1.getMatchedImport(key, imports);
    };
    const filter = (map) => Object.keys(map)
        .filter(isLocalTransformedIdentifier)
        .reduce((result, key) => {
        result[key] = map[key];
        return result;
    }, {});
    return {
        className: filter(maps.className),
        id: filter(maps.id),
        keyframes: filter(maps.keyframes),
    };
};