import { IIdentifier } from '../util/createIdentifier';
export interface IPluginOptions {
    mangle?: boolean;
    identifier?: IIdentifier;
    rawPrefix?: string;
    mangler?: IPluginMangler;
}
export interface IPluginMangler {
    (id: string, type: string, name: string): string;
}
export interface IPluginConfiguration {
    readonly mangler: IPluginMangler;
    readonly rawPrefix: string;
}
export interface IIdentifierMap {
    [name: string]: string | undefined;
}
export interface IEsifyCSSResult {
    className: IIdentifierMap;
    id: IIdentifierMap;
    keyframes: IIdentifierMap;
}
export interface IImports extends Map<string, string> {
}
