"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateScript = void 0;
const path = require("path");
exports.generateScript = (props) => {
    if (!props.root) {
        throw new Error(`No root: ${props.root}`);
    }
    let helperPath = path.relative(path.dirname(props.output), props.helper);
    helperPath = helperPath.replace(/\.ts$/, '');
    if (!path.isAbsolute(helperPath)) {
        helperPath = `./${path.normalize(helperPath)}`.replace(/^\.\/\.\./, '..');
    }
    return [
        `import {addStyle} from '${helperPath.split(path.sep).join('/')}';`,
        `addStyle([${(props.root.nodes || []).map((node) => `{${props.cssKey}: ${JSON.stringify(node.toString())}}`).join(',')}]);`,
        `export const className = ${JSON.stringify(props.result.className, null, 4)};`,
        `export const id = ${JSON.stringify(props.result.id, null, 4)};`,
        `export const keyframes = ${JSON.stringify(props.result.keyframes, null, 4)};`,
        '',
    ].join('\n');
};