"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getIncludePatterns = void 0;
exports.getIncludePatterns = ({ include, extensions }) => {
    const includePatterns = new Set();
    for (const includePattern of include) {
        for (const ext of extensions) {
            if (includePattern.endsWith(ext)) {
                includePatterns.add(includePattern);
            }
            else {
                includePatterns.add(includePattern
                    .replace(/[/*]*$/, `/**/*${ext}`)
                    .replace(/^\/\*/, '*'));
            }
        }
    }
    return [...includePatterns];
};