"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getOutputOption = void 0;
const getHash_1 = require("../util/getHash");
exports.getOutputOption = ({ helper, css }, include) => {
    let output;
    if (css) {
        if (helper) {
            throw new Error(`You can't use options.helper (${helper}) with options.css (${css})`);
        }
        output = { type: 'css', path: css };
    }
    else {
        const scriptPath = helper || `helper.${getHash_1.getHash(include.join(','))}.css.js`;
        output = { type: 'script', path: scriptPath };
    }
    return output;
};