"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSessionConfiguration = void 0;
const plugin_1 = require("../postcssPlugin/plugin");
const ensureArray_1 = require("../util/ensureArray");
const getChokidarOptions_1 = require("./getChokidarOptions");
const getOutputOption_1 = require("./getOutputOption");
const getExtensionOption_1 = require("./getExtensionOption");
const getIncludePatterns_1 = require("./getIncludePatterns");
exports.getSessionConfiguration = (parameters) => {
    const include = getIncludePatterns_1.getIncludePatterns({
        include: ensureArray_1.ensureArray(parameters.include || '*'),
        extensions: parameters.extensions || ['.css'],
    });
    const output = getOutputOption_1.getOutputOption(parameters, include);
    return {
        watch: Boolean(parameters.watch),
        output,
        path: include,
        ext: getExtensionOption_1.getExtensionOption(parameters, output),
        chokidar: getChokidarOptions_1.getChokidarOptions(parameters),
        stdout: parameters.stdout || process.stdout,
        stderr: parameters.stderr || process.stderr,
        postcssPlugins: [
            ...ensureArray_1.ensureArray(parameters.postcssPlugins),
            plugin_1.plugin(parameters.esifycssPluginParameter || {}),
        ],
        postcssOptions: parameters.postcssOptions || {},
        cssKey: '$$esifycss',
    };
};