"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createIdentifier = void 0;
exports.createIdentifier = (listener = () => {
}) => {
    const knownIdList = new Map();
    let count = 0;
    const identifier = (key) => {
        let id = knownIdList.get(key);
        if (typeof id === 'undefined') {
            id = count++;
            knownIdList.set(key, id);
            listener(key, id);
        }
        return id;
    };
    Object.defineProperty(identifier, 'idList', {
        get: () => {
            const result = [];
            for (const [id, index] of knownIdList) {
                result[index] = id;
            }
            return result;
        },
    });
    return identifier;
};