"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getHash = void 0;
const crypto_1 = require("crypto");
exports.getHash = (data, { algorithm, encoding } = { algorithm: 'sha256', encoding: 'safe-base64' }) => {
    const hash = crypto_1.createHash(algorithm);
    hash.update(data);
    if (encoding === 'safe-base64') {
        return hash.digest('base64').split('+').join('-').split('/').join('_').replace(/[=]+$/, '');
    }
    return encoding === Buffer ? hash.digest() : hash.digest(encoding);
};